%ext ck2

%patchfile 0x17828 killer.tli

%patch $0FC7 $00 $00 #Raygun tile 

%patch $1010 $EB $00 #Got keycard A tile
%patch $102F $EC $00 #Got keycard B tile
%patch $1051 $ED $00 #Got keycard C tile
%patch $1073 $EE $00 #Got keycard D tile

%patch $724B              $26 $8B $07 $B6 $0D 
%patch $7250  $F6 $FE $F6 $EE $26 $89 $07 $E9 
%patch $7258  $14 $01 

%patch $72A2  $EB $97 
%patch $7327  $E9 $11 $FF 

%patch $572E                          $26 $8B 
%patch $5730  $07 $B6 $0D $F6 $FE $F6 $EE $26 
%patch $5738  $89 $07 $03 $1E $E4 $6B $03 $1E 
%patch $5740  $E4 $6B $26 $89 $07 $90 $90 $90 
%patch $5748  $90 $90 

%patch $6F71 $90 #All tiles don't change 2 (In case above doesn't work)

#Animating switch tile
%patch $651D $81 $00 #This tile when flipped becomes...
%patch $6522 $8E $00 #This tile and...
%patch $653E $8E $00 #This tile when flipped becomes...
%patch $6558 $81 $00 #This tile.

#Change the bridge block
%patch $7852 $9B $00 
%patch $78A1 $9B $00

%patch $8193 $78 $01 #small done marker
%patch $8207 $E4 $00
%patch $821F $E4 $00
%patch $8235 $E4 $00
%patch $824E $E4 $00

#Elites can be stood on, can still shoot. 
#SIDE EFFECT: Scrubs aren't killed by enemy shots 
%patch $3CB9 $05 $00 #Kill Keen, can shoot enemy bullets [Used by Vort Elite] 
%patch $7775 $3D $05 #Enemy shot DOESN'T kill Elite

%patch $49A2 $90 $90 $90 $90 $90 $90 $90 $90 #4x3 orangery blocks
%patch $49EB $90 $90 $90 $90 $90 $90 #City screen

#Dome:
%patch $48BB $A9 $00 #Top left dome replacement tile
%patch $48D2 $A9 $00 #Top middle
%patch $48EC $A9 $00 #Top right
%patch $4905 $A9 $00 #Bottom left
%patch $491B $A9 $00 #Bottom middle
%patch $4934 $A9 $00 #Bottom right

#Sparks (Blue electric things):
%patch $4958 $A9 $00 #Left spark replacement tile
%patch $496D $A9 $00 #Right spark replacement tile

#Switch
%patch $4952 $81 $00 #Switch replacement tile

%patch $6443 $27 $00 #Tile needed
%patch $6429 $FF $FF #Number of tiles below switch tile needs to be
%patch $6437 $03     #Number of tiles right of switch tile needs to be

#Purple cells (1x3 block)
%patch $4981 $2A $00 #Replacement tile

%patch $42D0 $66 $00 #Walking left
%patch $42CD $00 $00 #Frames used -1
%patch $42C9 $00     #Animation speed

%patch $445C $66 $00 #Walking up
%patch $4459 $00 $00 #Frames used -1
%patch $4455 $00     #Animation speed

%patch $43D8 $66 $00 #Walking ceiling [right]
%patch $43D5 $00 $00 #Frames used -1
%patch $43D1 $00     #Animation speed

%patch $4354 $66 $00 #Walking down
%patch $4351 $00 $00 #Frames used -1
%patch $434D $00     #Animation speed

# Make the scrubs invincible!!!!!!!!! 
%patch $4515  $90 $90 
%patch $451A  $EB

%patch $6D94 $90     #Pogo doesn't fly with godmode 

%patch $4D2E $16 $00 #Tiles that replace Earth when it blows up

%patch $4D8F $90 #Keen falls out of exploding earth

#Keen doesn't have a pogo at game start
%patch $8A9C  $00 $00 

#Number of shots raygun gives Keen:
%patch $728C $01

#Shots keen starts with
%patch $8AA2  $00 $00 

#How far down bullet hits [earth still explodes, camera follows bullet]
%patch $4C61 $00 #Main
%patch $4C65 $00 #Fine tuning
%patch $4C39 $00 #Roughly how far along bullet moves; no values above $08

#Skip Diagonal Key Checking ($1BC4 to $1C0E) 
%patch $1BC2 $EB $4A 

#Route tile 11 to patchfile code 
%patch $739A $C4 $1B 

%patchfile $1BC4 keen-5.bin

# Cheat texts.
%patch $199E4 "You are a fish!!"
%patch $199F5 "Not anymore!!  :)"

# Win the game by saving only six cities. (BIG THANKS, ADURDIN!)
%patch $843E $06

%end
